## NMVpnPluginOld NMVpnPluginOld |

## Functions

GDBusConnection * | nm_vpn_plugin_old_get_connection ()
NMVpnServiceState | nm_vpn_plugin_old_get_state ()
void | nm_vpn_plugin_old_set_state ()
void | nm_vpn_plugin_old_secrets_required ()
void | nm_vpn_plugin_old_set_login_banner ()
void | nm_vpn_plugin_old_failure ()
void | nm_vpn_plugin_old_set_config ()
void | nm_vpn_plugin_old_set_ip4_config ()
void | nm_vpn_plugin_old_set_ip6_config ()
gboolean | nm_vpn_plugin_old_disconnect ()
gboolean | nm_vpn_plugin_old_read_vpn_details ()
gboolean | nm_vpn_plugin_old_get_secret_flags ()

## Properties

char * | service-name | Read / Write / Construct Only
NMVpnServiceState | state | Read / Write

## Signals

void | config | Run First
void | failure | Run First
void | ip4-config | Run First
void | ip6-config | Run First
void | login-banner | Run First
void | quit | Run First
void | secrets-required | Run First
void | state-changed | Run First

## Types and Values

#define | NM_VPN_PLUGIN_OLD_DBUS_SERVICE_NAME
#define | NM_VPN_PLUGIN_OLD_STATE
| NMVpnPluginOld

## Object Hierarchy

        GObject
        ╰── NMVpnPluginOld

## Implemented Interfaces

NMVpnPluginOld implements GInitable.

## Description

## Functions

### nm_vpn_plugin_old_get_connection ()

    GDBusConnection *
    nm_vpn_plugin_old_get_connection (NMVpnPluginOld *plugin);

`nm_vpn_plugin_old_get_connection` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_get_state ()

    NMVpnServiceState
    nm_vpn_plugin_old_get_state (NMVpnPluginOld *plugin);

`nm_vpn_plugin_old_get_state` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_set_state ()

    void
    nm_vpn_plugin_old_set_state (NMVpnPluginOld *plugin,
                                 NMVpnServiceState state);

`nm_vpn_plugin_old_set_state` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_secrets_required ()

    void
    nm_vpn_plugin_old_secrets_required (NMVpnPluginOld *plugin,
                                        const char *message,
                                        const char **hints);

`nm_vpn_plugin_old_secrets_required` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_set_login_banner ()

    void
    nm_vpn_plugin_old_set_login_banner (NMVpnPluginOld *plugin,
                                        const char *banner);

`nm_vpn_plugin_old_set_login_banner` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_failure ()

    void
    nm_vpn_plugin_old_failure (NMVpnPluginOld *plugin,
                               NMVpnPluginFailure reason);

`nm_vpn_plugin_old_failure` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_set_config ()

    void
    nm_vpn_plugin_old_set_config (NMVpnPluginOld *plugin,
                                  GVariant *config);

`nm_vpn_plugin_old_set_config` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_set_ip4_config ()

    void
    nm_vpn_plugin_old_set_ip4_config (NMVpnPluginOld *plugin,
                                      GVariant *ip4_config);

`nm_vpn_plugin_old_set_ip4_config` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_set_ip6_config ()

    void
    nm_vpn_plugin_old_set_ip6_config (NMVpnPluginOld *plugin,
                                      GVariant *ip6_config);

`nm_vpn_plugin_old_set_ip6_config` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_disconnect ()

    gboolean
    nm_vpn_plugin_old_disconnect (NMVpnPluginOld *plugin,
                                  GError **err);

`nm_vpn_plugin_old_disconnect` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_read_vpn_details ()

    gboolean
    nm_vpn_plugin_old_read_vpn_details (int fd,
                                        GHashTable **out_data,
                                        GHashTable **out_secrets);

`nm_vpn_plugin_old_read_vpn_details` is deprecated and should not be used in newly-written code.

### nm_vpn_plugin_old_get_secret_flags ()

    gboolean
    nm_vpn_plugin_old_get_secret_flags (GHashTable *data,
                                        const char *secret_name,
                                        NMSettingSecretFlags *out_flags);

`nm_vpn_plugin_old_get_secret_flags` is deprecated and should not be used in newly-written code.

## Types and Values

### NM_VPN_PLUGIN_OLD_DBUS_SERVICE_NAME

    #define NM_VPN_PLUGIN_OLD_DBUS_SERVICE_NAME "service-name"

### NM_VPN_PLUGIN_OLD_STATE

    #define NM_VPN_PLUGIN_OLD_STATE             "state"

### NMVpnPluginOld

    typedef struct _NMVpnPluginOld NMVpnPluginOld;

`NMVpnPluginOld` is deprecated and should not be used in newly-written code.

## Property Details

### The `“service-name”` property

      “service-name”             char *

Owner: NMVpnPluginOld

Flags: Read / Write / Construct Only

Default value: NULL

### The `“state”` property

      “state”                    NMVpnServiceState

Owner: NMVpnPluginOld

Flags: Read / Write

Default value: NM_VPN_SERVICE_STATE_INIT

## Signal Details

### The `“config”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   GVariant       *arg1,
                   gpointer        user_data)

Flags: Run First

### The `“failure”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   guint           arg1,
                   gpointer        user_data)

Flags: Run First

### The `“ip4-config”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   GVariant       *arg1,
                   gpointer        user_data)

Flags: Run First

### The `“ip6-config”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   GVariant       *arg1,
                   gpointer        user_data)

Flags: Run First

### The `“login-banner”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   char           *arg1,
                   gpointer        user_data)

Flags: Run First

### The `“quit”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   gpointer        user_data)

Flags: Run First

### The `“secrets-required”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   char           *arg1,
                   GStrv           arg2,
                   gpointer        user_data)

Flags: Run First

### The `“state-changed”` signal

    void
    user_function (NMVpnPluginOld *nmvpnpluginold,
                   guint           arg1,
                   gpointer        user_data)

Flags: Run First